Name: tmake
Version: 1.13
Release: alt1

Group: Development/Other
Summary: Easy-to-use tool for creating and maintaining portable makefiles
License: Distributable, see LICENSE file
Url: http://www.troll.no/freebies/%name.html

BuildArch: noarch

Source: ftp://ftp.troll.no/freebies/%name/%name-%version.tar.bz2
Source1: %name.sh
Source2: %name.csh

%description
This is an easy-to-use tool for creating and maintaining makefiles across
many platforms and compilers. The idea is that you should spend your time
writing code, not makefiles.

%prep
%setup -q

%build
%remove_optflags %optflags_warnings %optflags_optimization
cd lib/linux-g++
%__perl -pi -e \
's/^(TMAKE_CFLAGS\s*=).*/$1 %optflags/;s/^(TMAKE_CFLAGS_WARN_ON\s*=).*/$1 %optflags_warnings/;s/^(TMAKE_CFLAGS_RELEASE\s*=).*/$1 %optflags_optimization/;s/^(TMAKE_CFLAGS_DEBUG\s*=).*/$1/;s/^(TMAKE_CFLAGS_SHLIB\s*=).*/$1 %optflags_shared/' \
	tmake.conf

%install
%__mkdir_p $RPM_BUILD_ROOT{%_bindir,%_libdir,%_sysconfdir/profile.d}
%__cp -a lib $RPM_BUILD_ROOT%_libdir/%name
%__install -p -m755 bin/* $RPM_BUILD_ROOT%_bindir/
%__install -p -m755 %SOURCE1 %SOURCE2 $RPM_BUILD_ROOT%_sysconfdir/profile.d/

%files
%doc CHANGES LICENSE README doc example
#
%_sysconfdir/profile.d/*
#
%_bindir/tmake
%_bindir/progen
#
%dir %_libdir/tmake
%_libdir/tmake/unix
%_libdir/tmake/linux*
%dir %_libdir/tmake/qws
%_libdir/tmake/qws/linux*

%changelog
* Tue Aug 17 2004 Sergey V Turchin <zerg at altlinux dot org> 1.13-alt1
- new version

* Thu Sep 11 2003 Sergey V Turchin <zerg at altlinux dot org> 1.11-alt1
- new version
- remove unusable files

* Thu Oct 10 2002 Dmitry V. Levin <ldv@altlinux.org> 1.8-alt2
- %_libdir/tmake/linux-g++/tmake.conf: fixed TMAKE_CFLAGS.
- Removed noarch.

* Fri Nov 16 2001 Dmitry V. Levin <ldv@alt-linux.org> 1.8-alt1
- 1.8
- Added missing templates (#0000109).

* Wed Jan 31 2001 Dmitry V. Levin <ldv@fandra.org> 1.7-ipl1
- 1.7

* Sat Dec 16 2000 Dmitry V. Levin <ldv@fandra.org> 1.6-ipl1
- 1.6

* Tue Aug 29 2000 Dmitry V. Levin <ldv@fandra.org> 1.5-ipl1
- 1.5

* Wed Jul 05 2000 Dmitry V. Levin <ldv@fandra.org> 1.4-ipl1
- Initial revision
